$fs=0.1;
$fa=1;
e=0.01;

door_w = 48;
door_l = 22.6;
tab_w = 4.4;
tab_spacing = 13.9;
flex_th = 0.8;
clip_w = 9;

difference() {
    union() {
        cube([door_w, door_l, 2]);
        // tabs
        for(i = [0:2]) {
            translate([(door_w-(3*tab_w+2*tab_spacing))/2 + (13.9+tab_w)*i, door_l, 0]) {
                difference() {
                    union() {
                        cube([tab_w, 2, 4.5]);
                        translate([0, -3, 0]) rotate([30, 0, 0])
                            cube([tab_w, 5, 2.3]);
                    }
                    translate([-e, 0, 2]) rotate([-45, 0, 0])
                        cube([tab_w + 2*e, 5, 5]);
                    translate([-e, 0, -3])
                        cube([tab_w + 2*e, 5, 5]);
                }
            }
        }
        // clip
        translate([(door_w-clip_w)/2, 0, 0]) {
            translate([0, 3, 2]) rotate([-205, 0, 0])
                cube([clip_w, 2.9, 1.3]);
            rotate([8, 0, 0])
                cube([clip_w, flex_th, 7]);
            translate([0, -2.8 + flex_th, 0]) rotate([-8, 0, 0]) translate([0, -flex_th, 0])
                cube([clip_w, flex_th, 7]);
            translate([0, -1.8+flex_th, 7])
                difference() {
                    rotate([0, 90, 0])
                        cylinder(d=flex_th*2, h=clip_w);
                    translate([-e, -flex_th, -flex_th - 0.2])
                        cube([clip_w + 2*e, 2*flex_th, flex_th]);
                }
            translate([0, -2.8-0.5, 0])
                cube([clip_w, flex_th+0.5, 0.5]);
            translate([0, -2.5, 1.5])
                rotate([0, 90, 0])
                    linear_extrude(height=clip_w) polygon([
                        [0, e], [-0.2, -1], [-3, 0.4]
                    ]);
        }
    }
    // battery cutouts
    translate([-e, 5, 6.6]) {
        rotate([0, 90, 0])
            cylinder(d=10, h=door_w + 2*e);
        translate([0, 10.5, 0]) rotate([0, 90, 0])
            cylinder(d=10, h=50);
    }
    // edge bevel
    translate([-e, door_l - 2, 0]) rotate([-90 + 12, 0, 0])
        cube([48+2*e, 1, 3]);
}